classification
Title: xml shouldn't use _xmlplus
Type: Stage: resolved
Components: Library (Lib), XML Versions: Python 3.1, Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, akuchling, eric.araujo, fdrake, georg.brandl, jkloth, loewis, python-dev
Priority: normal Keywords: patch

Created on 2011-02-09 22:10 by Arfrever, last changed 2011-05-09 06:19 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
python-3-remove_pyxml_support.patch Arfrever, 2011-05-08 00:52 Remove PyXML support review
python-2.7-test_minidom-remove_dead_code.patch Arfrever, 2011-05-08 14:37 Remove dead code in test_minidom in Python 2.7
Messages (8)
msg128242 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * Date: 2011-02-09 22:10
Lib/xml/__init__.py since r16544 tries to replace xml package with _xmlplus package from PyXML. PyXML is no longer maintained and doesn't support Python 3, so it should be safe to remove PyXML-related code in Lib/xml/__init__.py in Python 3.1 / 3.2.
msg135515 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * Date: 2011-05-08 00:52
I'm attaching the patch, which fixes this issue. It would be nice if the patch was applied before releases of Python 3.1.4 and 3.2.1.
msg135518 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-05-08 05:02
In MinidomTest.tearDown, the majority of the code seems to be for the stdlib version, yet you remove the whole method. Can you elaborate?
msg135523 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * Date: 2011-05-08 14:18
I have verified that xml.dom.minidom.Node from neither stdlib (at least 2.6, 2.7, 3.1, 3.2 and 3.3) nor PyXML 0.8.4 has 'allnodes' attribute.

If you install PyXML 0.8.4 for Python 2.7 and change 'pass' in MinidomTest.tearDown() into 'raise', then the following commands will print the same exceptions in MinidomTest.tearDown():

# With PyXML
# "FAILED (failures=8, errors=111)"
$ python2.7 -m test.test_minidom

# Without PyXML
# "FAILED (errors=110)"
$ python2.7 -S -m test.test_minidom
msg135527 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * Date: 2011-05-08 14:37
I suggest to remove dead code in test_minidom in Python 2.7 to avoid confusion.
msg135566 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2011-05-09 06:00
allnodes was deleted in 5b3fbff05ffd
msg135567 - (view) Author: Roundup Robot (python-dev) Date: 2011-05-09 06:16
New changeset 61798f076676 by Martin v. Löwis in branch '3.1':
Stop trying to use _xmlplus in the xml module. Closes #11164.
http://hg.python.org/cpython/rev/61798f076676
msg135568 - (view) Author: Roundup Robot (python-dev) Date: 2011-05-09 06:19
New changeset 6c7984bae459 by Martin v. Löwis in branch '2.7':
Issue 11164: Remove obsolete allnodes test from minidom test.
http://hg.python.org/cpython/rev/6c7984bae459
History
Date User Action Args
2011-05-09 06:19:51python-devsetmessages: + msg135568
2011-05-09 06:16:54python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg135567

resolution: fixed
stage: resolved
2011-05-09 06:00:29loewissetmessages: + msg135566
2011-05-08 14:37:49Arfreversetfiles: + python-2.7-test_minidom-remove_dead_code.patch

messages: + msg135527
2011-05-08 14:18:00Arfreversetmessages: + msg135523
2011-05-08 05:02:44georg.brandlsetmessages: + msg135518
2011-05-08 01:19:37ned.deilysetnosy: + georg.brandl
2011-05-08 00:52:44Arfreversetfiles: + python-3-remove_pyxml_support.patch
keywords: + patch
messages: + msg135515
2011-02-11 18:53:18eric.araujosetnosy: + eric.araujo

versions: + Python 3.3
2011-02-09 22:10:27Arfrevercreate